Bug 77172 - window list does not show modeless dialog which are hidden behind other windows
window list does not show modeless dialog which are hidden behind other windows
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-02 01:06 EST by Yusuf Goolamabbas
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 21:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yusuf Goolamabbas 2002-11-02 01:06:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021027

Description of problem:
I have configured my window focus to 'point to focus' and to raise the window
when focus is given
If I open (for example) the Preferences window from with Mozilla, and it takes
me some time to get my mouse to be in the newly opened window, then the focus
will go back to the main Mozilla window and the 
Preference dialog will be pushed back (in terms of z-ordering)

However, the window-list applet in the panel does not indicate that the window
is there. It's kind of confusing to determine what windows/dialogs will be shown
in the window-list applet

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Change preferences of Window Focus to 'Point to Focus'
2. Also, check 'raise window on focus'
3. Activate a window, e.g (click the 'About menu' on the Window list)   applet
4.  The About box will briefly show up but if you don't move your mouse 
   quickly to within it, it will be hidden
5. The About box dialog is not displayed amongst the list of windows, in the
window-list applet
6. If you minimise, the other windows you can see the 'About box	' dialog on the
screen

Additional info:
Comment 1 Havoc Pennington 2002-11-02 10:28:13 EST
You can get an experimental "libwnck" that fixes this at
ftp://people.redhat.com/hp/gnomehide/, may also want the newer metacity 
there that improves some handling of stacking order.

Note You need to log in before you can comment on or make changes to this bug.